<?php
/**
 * @package Catch Themes
 * @subpackage Adventurous
 * @since Adventurous 1.0
 */


/**
 * Returns the default options for catchadaptive.
 *
 * @since Adventurous Pro 3.9
 */
function adventurous_get_defaults( $parameter = null ) {
	$defaults = array(
		'disable_responsive'                 => '0',
		'remove_header_menu'                 => '0',
		'remove_header_logo'                 => '1',
		'featured_logo_header'               => esc_url( get_template_directory_uri() ).'/images/logo.png',
		'remove_site_title'                  => '0',
		'remove_site_description'            => '0',
		'site_title_above'                   => '0',
		'enable_promotion'                   => 'homepage',
		'homepage_headline'                  => esc_html__( 'Adventurous is a Simple, Clean and Responsive WordPress Theme', 'adventurous-pro' ),
		'homepage_subheadline'               => esc_html__( 'This is Promotion Headline. You can edit this from "Appearance => Theme Options => Promotion Headline Options"', 'adventurous-pro' ),
		'homepage_headline_button'           => esc_html__( 'Buy Now', 'adventurous-pro' ),
		'homepage_headline_url'              => '#',
		'homepage_headline_target'           => '1',
		'reset_featured_image'               => 0,
		'featured_header_image_position'     => 'after-header',
		'enable_featured_header_image'       => 'homepage',
		'page_featured_image'                => 'full',
		'featured_header_image'              => '',
		'featured_header_image_url'          => '',
		'featured_header_image_alt'          => '',
		'featured_header_image_base'         => '0',
		'disable_header_right_search'        => '0',
		'disable_header_right_sidebar'       => '0',
		'color_scheme'                       => 'light',
		'header_background'                  => '#fff',
		'featured_background'                => '#fff',
		'content_background'                 => '#fff',
		'title_color'                        => '#222',
		'title_hover_color'                  => '#7c9b30',
		'text_color'                         => '#404040',
		'meta_color'                         => '#757575',
		'link_color'                         => '#7c9b30',
		'scrollup_bg_color'                  => '#000',
		'scrollup_text_color'                => '#fff',
		'reset_color'                        => 0,
		'promotion_background'               => '#f9f9f9',
		'home_headline'                      => '#404040',
		'promotion_button_background'        => '#9bc23c',
		'promotion_button_border_color'      => '#fff',
		'promotion_button_text_color'        => '#fff',
		'reset_promotion_color'              => 0,
		'sidebar_background'                 => '#fff',
		'widget_title_color'                 => '#222',
		'widget_color'                       => '#404040',
		'widget_link_color'                  => '#757575',
		'reset_sidebar_color'                => 0,
		'footer_sidebar_background'          => '#222',
		'footer_widget_title_color'          => '#fff',
		'footer_widget_color'                => '#404040',
		'footer_widget_link_color'           => '#757575',
		'footer_background'                  => '#000',
		'footer_text_color'                  => '#ccc',
		'footer_link_color'                  => '#eee',
		'reset_footer_color'                 => 0,
		'menu_color'                         => '#757575',
		'hover_active_text_color'            => '#7c9b30',
		'sub_menu_border_color'              => '#7c9b30',
		'sub_menu_bg_color'                  => '#fff',
		'sub_menu_text_color'                => '#757575',
		'hover_active_color'                 => '#f8f8f8',
		'sub_menu_hover_color'               => '#7c9b30',
		'secondary_menu_background'          => '#000',
		'secondary_menu_color'               => '#ccc',
		'secondary_hover_active_color'       => '#222',
		'secondary_hover_active_text_color'  => '#fff',
		'secondary_sub_menu_bg_color'        => '#222',
		'secondary_sub_menu_text_color'      => '#fff',
		'secondary_sub_menu_hoverbg_color'   => '#000',
		'secondary_sub_menu_hovertext_color' => '#fff',
		'footer_menu_background'             => '#000',
		'footer_menu_color'                  => '#ccc',
		'footer_hover_active_color'          => '#222',
		'footer_hover_active_text_color'     => '#fff',
		'footer_sub_menu_bg_color'           => '#222',
		'footer_sub_menu_text_color'         => '#fff',
		'footer_sub_menu_hoverbg_color'      => '#000',
		'footer_sub_menu_hovertext_color'    => '#fff',
		'mobile_menu_hamburger'              => '#757575',
		'mobile_menu_hamburger_hover'        => '#7c9b30',
		'mobile_menu_bg_color'               => '#fff',
		'mobile_menu_text_color'             => '#666',
		'mobile_menu_border_top'             => '#7c9b30',
		'mobile_menu_border'                 => '#f8f8f8',
		'mobile_menu_hover_bg_color'         => '#f8f8f8',
		'mobile_menu_hover_text_color'       => '#111',
		'reset_menu_color'                   => 0,
		'body_font'                          => 'sans-serif',
		'title_font'                         => 'sans-serif',
		'tagline_font'                       => 'sans-serif',
		'content_tittle_font'                => 'sans-serif',
		'content_font'                       => 'sans-serif',
		'headings_font'                      => 'sans-serif',
		'commenting_setting'                 => 'default',
		'reset_typography'                   => 0,
		'custom_css'                         => '',
		'disable_notifier'                   => 0,
		//WooCommerce Options
		'disable_product_gallery_zoom'       => 0,
		'disable_product_gallery_lightbox'   => 0,
		'disable_product_gallery_slider'     => 0,
		'disable_scrollup'                   => 0,
		'sidebar_layout'                     => 'right-sidebar',
		'content_layout'                     => 'full',
		'featured_image'                     => 'featured',
		'reset_layout'                       => 0,
		'more_tag_text'                      => esc_html__( 'Continue Reading &rarr;', 'adventurous-pro' ),
		'reset_moretag'                      => 0,
		'excerpt_length'                     => 30,
		'search_display_text'                => esc_html__( 'Search &hellip;', 'adventurous-pro' ),
		'feed_url'                           => '',
		'disable_homepage_headline'          => '0',
		'disable_homepage_subheadline'       => '0',
		'disable_homepage_button'            => '0',
		'promotion_position'                 => 'afterslider',
		'enable-featured'                    => 'homepage',
		'featured_position'                  => 'beforecontent',
		'homepage_featured_headline'         => '',
		'homepage_featured_subheadline'      => '',
		'homepage_featured_qty'              => 4,
		'homepage_featured_layout'           => 'four-columns',
		'homepage_featured_image'            => array(),
		'homepage_featured_url'              => array(),
		'homepage_featured_base'             => array(),
		'homepage_featured_title'            => array(),
		'homepage_featured_content'          => array(),
		'enable_posts_home'                  => '0',
		'front_page_category'                => '0',
		'select_slider_type'                 => 'demo-slider',
		'enable_slider'                      => 'enable-slider-homepage',
		'disable_slider_text'                => '1',
		'featured_slider'                    => array(),
		'featured_slider_page'               => array(),
		'slider_category'                    => '0',
		'featured_image_slider_image'        => array(),
		'featured_image_slider_link'         => array(),
		'featured_image_slider_base'         => array(),
		'featured_image_slider_title'        => array(),
		'featured_image_slider_content'      => array(),
		'slider_qty'                         => 4,
		'transition_effect'                  => 'fade',
		'transition_delay'                   => 4,
		'transition_duration'                => 1,
		'exclude_slider_post'                => '0',
		'social_facebook'                    => '',
		'social_twitter'                     => '',
		'social_googleplus'                  => '',
		'social_pinterest'                   => '',
		'social_youtube'                     => '',
		'social_vimeo'                       => '',
		'social_linkedin'                    => '',
		'social_slideshare'                  => '',
		'social_foursquare'                  => '',
		'social_flickr'                      => '',
		'social_tumblr'                      => '',
		'social_deviantart'                  => '',
		'social_dribbble'                    => '',
		'social_myspace'                     => '',
		'social_wordpress'                   => '',
		'social_rss'                         => '',
		'social_delicious'                   => '',
		'social_lastfm'                      => '',
		'social_instagram'                   => '',
		'social_github'                      => '',
		'social_vkontakte'                   => '',
		'social_myworld'                     => '',
		'social_odnoklassniki'               => '',
		'social_goodreads'                   => '',
		'social_skype'                       => '',
		'social_soundcloud'                  => '',
		'social_email'                       => '',
		'social_contact'                     => '',
		'social_xing'                        => '',
		'social_meetup'                      => '',
		'social_custom_qty'                  => 1,
		'social_custom_name'                 => array(),
		'social_custom_image'                => array(),
		'social_custom_url'                  => array(),
		'google_verification'                => '',
		'yahoo_verification'                 => '',
		'bing_verification'                  => '',
		'analytic_header'                    => '',
		'analytic_footer'                    => '',
		'footer_code'                        => '<div class="copyright">'. esc_attr__( 'Copyright', 'adventurous-pro' ) . ' &copy; [the-year] [site-link]. '. esc_attr__( 'All Rights Reserved.', 'adventurous-pro' ) . ' [privacy-policy-link]' . '</div><div class="powered">[theme-link]</div>',
		'reset_footer'                       => 0
	);

	if ( null !== $parameter ) {
		return $defaults[ $parameter ];
	}

	return $defaults;
}


if ( ! function_exists( 'adventurous_available_fonts' ) ) :
	/**
	 * Returns an array of fonts available to the theme.
	 *
	 * @since Catch Box Pro 1.0
	 */
	function adventurous_available_fonts() {
		return array(
			'arial-black'			=> '"Arial Black", Gadget, sans-serif',
			'allan'					=> 'Allan, sans-serif',
			'allerta'				=> 'Allerta, sans-serif',
			'amaranth'				=> 'Amaranth, sans-serif',
			'arial'					=> 'Arial, Helvetica, sans-serif',
			'bitter'				=> 'Bitter, sans-serif',
			'cabin'					=> 'Cabin, sans-serif',
			'cantarell'				=> 'Cantarell, sans-serif',
			'century-gothic'		=> '"Century Gothic", sans-serif',
			'courier-new'			=> '"Courier New", Courier, monospace',
			'crimson-text'			=> '"Crimson Text", sans-serif',
			'cuprum'				=> '"Cuprum", sans-serif',
			'dancing-script'		=> '"Dancing Script", sans-serif',
			'droid-sans'			=> '"Droid Sans", sans-serif',
			'droid-serif'			=> '"Droid Serif", sans-serif',
			'georgia'				=> 'Georgia, "Times New Roman", Times, serif',
			'helvetica'				=> 'Helvetica, "Helvetica Neue", Arial, sans-serif',
			'helvetica-neue'		=> '"Helvetica Neue",Helvetica,Arial,sans-serif',
			'istok-web'				=> '"Istok Web", sans-serif',
			'impact'				=> 'Impact, Charcoal, sans-serif',
			'lato'					=> '"Lato", sans-serif',
			'lucida-sans-unicode'	=> '"Lucida Sans Unicode", "Lucida Grande", sans-serif',
			'lucida-grande'			=> '"Lucida Grande", "Lucida Sans Unicode", sans-serif',
			'lobster'				=> 'Lobster, sans-serif',
			'lora'					=> '"Lora", serif',
			'monaco'				=> 'Monaco, Consolas, "Lucida Console", monospace, sans-serif',
			'nobile'				=> 'Nobile, sans-serif',
			'open-sans'				=> '"Open Sans", sans-serif',
			'oswald'				=> '"Oswald", sans-serif',
			'palatino'				=> 'Palatino, "Palatino Linotype", "Book Antiqua", serif',
			'patua-one'				=> '"Patua One", sans-serif',
			'playfair-display'		=> '"Playfair Display", sans-serif',
			'pt-sans'				=> '"PT Sans", sans-serif',
			'pt-serif'				=> '"PT Serif", serif',
			'quattrocento-sans' 	=> '"Quattrocento Sans", sans-serif',
			'roboto'				=> 'Roboto, sans-serif',
			'sans-serif'			=> 'Sans Serif, Arial',
			'tahoma'				=> 'Tahoma, Geneva, sans-serif',
			'trebuchet-ms'			=> '"Trebuchet MS", "Helvetica", sans-serif',
			'times-new-roman'		=> '"Times New Roman", Times, serif',
			'ubuntu'				=> 'Ubuntu, sans-serif',
			'verdana'				=> 'Verdana, Geneva, sans-serif',
			'yanone-kaffeesatz' 	=> '"Yanone Kaffeesatz", sans-serif'
		);
	}
endif;


/*
 * Return arrray of theme options merged with default valuse if it does not exist
 */
function adventurous_get_options() {
	return wp_parse_args( ( array ) get_option( 'adventurous_options' ) , adventurous_get_defaults() );
}


/**
 * Returns a link to Theme Shop.
 *
 * @return string
 */
function adventurous_shop_link() {
	return '<a href="'. esc_url( __( 'https://catchthemes.com', 'adventurous-pro' ) ) . '" target="_blank" title="' . esc_attr__( 'Catch Themes', 'adventurous-pro' ) . '"><span>' . esc_html__( 'Catch Themes', 'adventurous-pro' ) . '</span></a>';
}


/**
 * Returns an array of color schemes registered for adventurous.
 *
 * @since Adventurous 3.4
 */
function adventurous_color_schemes() {
	$options = array(
		'light' 		=> esc_html__( 'Light', 'adventurous-pro' ),
		'dark'			=> esc_html__( 'Dark', 'adventurous-pro' ),
	);

	return apply_filters( 'adventurous_color_schemes', $options );
}


/**
 * Returns an array of featured content layout options
 *
 * @since Adventurous 3.4
 */
function adventurous_featured_content_layouts() {
	$options = array(
		'three-columns' => esc_html__( '3 Columns', 'adventurous-pro' ),
		'four-columns'	=> esc_html__( '4 Columns', 'adventurous-pro' ),
	);

	return apply_filters( 'adventurous_featured_content_layouts', $options );
}


/**
 * Returns an array of enable header image options
 *
 * @since Adventurous 3.4
 */
function adventurous_enable_header_featured_image() {
	$options = array(
		'homepage' 		=> esc_html__( 'Homepage', 'adventurous-pro' ),
		'excludehome' 	=> esc_html__( 'Excluding Homepage', 'adventurous-pro' ),
		'allpage' 		=> esc_html__( 'Entire Site', 'adventurous-pro' ),
		'postpage' 		=> esc_html__( 'Entire Site, Page/Post Featured Image', 'adventurous-pro' ),
		'pagespostes'	=> esc_html__( 'Pages & Posts', 'adventurous-pro' ),
		'disable'		=> esc_html__( 'Disable', 'adventurous-pro' ),
	);

	return apply_filters( 'adventurous_enable_header_featured_image', $options );
}


/**
 * Returns an array of page/post featured image size
 *
 * @since Adventurous 3.4
 */
function adventurous_page_post_featured_image_size() {
	$options = array(
		'full' 		=> esc_html__( 'Full Image', 'adventurous-pro' ),
		'slider' 	=> esc_html__( 'Slider Image', 'adventurous-pro' ),
		'featured'	=> esc_html__( 'Featured Image', 'adventurous-pro' ),
	);

	return apply_filters( 'adventurous_page_post_featured_image_size', $options );
}


/**
 * Returns an array of content featured image size
 *
 * @since Adventurous 3.4
 */
function adventurous_content_featured_image_size() {
	$options = array(
		'full' 		=> esc_html__( 'Full Image', 'adventurous-pro' ),
		'slider' 	=> esc_html__( 'Slider Image', 'adventurous-pro' ),
		'featured'	=> esc_html__( 'Featured Image', 'adventurous-pro' ),
		'disable'	=> esc_html__( 'Disable Image', 'adventurous-pro' ),
	);

	return apply_filters( 'adventurous_content_featured_image_size', $options );
}


/**
 * Returns an array of sidebar layout options
 *
 * @since Adventurous 3.4
 */
function adventurous_sidebar_layout_options() {
	$options = array(
		'right-sidebar' 		=> esc_html__( 'Right Sidebar', 'adventurous-pro' ),
		'left-sidebar' 			=> esc_html__( 'Left Sidebar', 'adventurous-pro' ),
		'no-sidebar'			=> esc_html__( 'No Sidebar', 'adventurous-pro' ),
		'no-sidebar-full-width' => esc_html__( 'No Sidebar, Full Width', 'adventurous-pro' ),
		'no-sidebar-one-column' => esc_html__( 'No Sidebar, One Column', 'adventurous-pro' ),
	);

	return apply_filters( 'adventurous_sidebar_layout_options', $options );
}


/**
 * Returns an array of slider enable options
 *
 * @since Adventurous 3.4
 */
function adventurous_enable_featured_content_options() {
	$options = array(
		'homepage'=> esc_html__( 'Homepage', 'adventurous-pro' ),
		'allpage' => esc_html__( 'Entire Site', 'adventurous-pro' ),
		'disable' => esc_html__( 'Disable', 'adventurous-pro' ),
	);

	return apply_filters( 'adventurous_enable_slider_options', $options );
}


/**
 * Returns an array of content layout options
 *
 * @since Adventurous 3.4
 */
function adventurous_content_layout_options() {
	$options = array(
		'full' 		=> esc_html__( 'Full Content Display', 'adventurous-pro' ),
		'excerpt' 	=> esc_html__( 'Excerpt/Blog Display', 'adventurous-pro' ),
	);

	return apply_filters( 'adventurous_content_layout_options', $options );
}


/**
 * Returns an array of slider types
 *
 * @since Adventurous 3.4
 */
function adventurous_slider_types() {
	$options = array(
		'demo-slider' 		=> esc_html__( 'Demo', 'adventurous-pro' ),
		'post-slider' 		=> esc_html__( 'Post', 'adventurous-pro' ),
		'page-slider'		=> esc_html__( 'Page', 'adventurous-pro' ),
		'category-slider'	=> esc_html__( 'Category', 'adventurous-pro' ),
		'image-slider'		=> esc_html__( 'Custom', 'adventurous-pro' ),
	);

	return apply_filters( 'adventurous_slider_types', $options );
}


/**
 * Returns an array of slider enable options
 *
 * @since Adventurous 3.4
 */
function adventurous_enable_slider_options() {
	$options = array(
		'enable-slider-homepage'=> esc_html__( 'Homepage', 'adventurous-pro' ),
		'enable-slider-allpage' => esc_html__( 'Entire Site', 'adventurous-pro' ),
		'disable-slider' 		=> esc_html__( 'Disable', 'adventurous-pro' ),
	);

	return apply_filters( 'adventurous_enable_slider_options', $options );
}


/**
 * Returns an array of slider transition effects
 *
 * @since Adventurous 3.4
 */
function adventurous_transition_effects() {
	$options = array(
		'fade'			=> esc_html__( 'fade', 'adventurous-pro' ),
		'wipe' 			=> esc_html__( 'wipe', 'adventurous-pro' ),
		'scrollUp' 		=> esc_html__( 'scrollUp', 'adventurous-pro' ),
		'scrollDown'	=> esc_html__( 'scrollDown', 'adventurous-pro' ),
		'scrollUp' 		=> esc_html__( 'scrollUp', 'adventurous-pro' ),
		'scrollLeft'	=> esc_html__( 'scrollLeft', 'adventurous-pro' ),
		'scrollRight'	=> esc_html__( 'scrollRight', 'adventurous-pro' ),
		'blindX' 		=> esc_html__( 'blindX', 'adventurous-pro' ),
		'blindY' 		=> esc_html__( 'blindY', 'adventurous-pro' ),
		'blindZ' 		=> esc_html__( 'blindZ', 'adventurous-pro' ),
		'cover' 		=> esc_html__( 'cover', 'adventurous-pro' ),
		'shuffle' 		=> esc_html__( 'shuffle', 'adventurous-pro' ),
	);

	return apply_filters( 'adventurous_transition_effects', $options );
}

/**
 * Returns an array of featured image postion
 *
 * @since Adventurous 3.4
 */
function adventurous_featured_image_position() {
	$options = array(
		'after-header'			=> esc_html__( 'After Header', 'adventurous-pro' ),
		'after-header-menu'		=> esc_html__( 'After Header Menu', 'adventurous-pro' ),
		'after-slider' 			=> esc_html__( 'After Slider', 'adventurous-pro' ),
		'after-headline'		=> esc_html__( 'After Promotion Headlines', 'adventurous-pro' ),
		'after-featured' 		=> esc_html__( 'After Featured Content', 'adventurous-pro' ),
	);

	return apply_filters( 'adventurous_featured_image_position', $options );
}

/**
 * Returns an array of comment option
 *
 * @since Adventurous 3.4
 */
function adventurous_comment_option() {
	$options = array(
		'default'	=> esc_html__( 'Use WordPress Settings', 'adventurous-pro' ),
		'page'		=> esc_html__( 'Disable in Pages', 'adventurous-pro' ),
		'disable'	=> esc_html__( 'Disable Completely', 'adventurous-pro' ),
	);

	return apply_filters( 'adventurous_comment_option', $options );
}

/**
 * Returns an array of comment option
 *
 * @since Adventurous 3.4
 */
function adventurous_promotion_headline_postion() {
	$options = array(
		'afterslider'	=> esc_html__( 'After Slider', 'adventurous-pro' ),
		'beforeslider'	=> esc_html__( 'Before Slider', 'adventurous-pro' ),
		'afterfeatured'	=> esc_html__( 'After Featured', 'adventurous-pro' ),
		'beforefooter'	=> esc_html__( 'Before Footer', 'adventurous-pro' ),
	);

	return apply_filters( 'adventurous_promotion_headline_postion', $options );
}

/**
 * Returns an array of featured content position option
 *
 * @since Adventurous 3.4
 */
function adventurous_featured_content_position() {
	$options = array(
		'beforecontent'	=> esc_html__( 'Before Content', 'adventurous-pro' ),
		'beforefooter'	=> esc_html__( 'Before Footer', 'adventurous-pro' ),
	);

	return apply_filters( 'adventurous_featured_content_position', $options );
}


/**
 * Function to display the current year.
 *
 * @uses date() Gets the current year.
 * @return string
 */
function adventurous_the_year() {
	return date_i18n( esc_html__( 'Y', 'adventurous-pro' ) );
}


/**
 * Function to display a link back to the site.
 *
 * @uses get_bloginfo() Gets the site link
 * @return string
 */
function adventurous_site_link() {
	return '<a href="' . esc_url( home_url( '/' ) ) . '" title="' . esc_attr( get_bloginfo( 'name', 'display' ) ) . '" ><span>' . get_bloginfo( 'name', 'display' ) . '</span></a>';
}


/**
 * Function to display a link to WordPress.org.
 *
 * @return string
 */
function adventurous_wp_link() {
	return '<a href="http://wordpress.org" target="_blank" title="' . esc_html__( 'WordPress', 'adventurous-pro' ) . '"><span>' . esc_html__( 'WordPress', 'adventurous-pro' ) . '</span></a>';
}


/**
 * Function to display a link to Theme Link.
 *
 * @return string
 */
function adventurous_theme_link() {
	return '<a href="' . esc_url( 'https://catchthemes.com/themes/adventurous-pro' ) .'" target="_blank" title="' . esc_attr__( 'Adventurous', 'adventurous-pro' ) . '"><span>' . esc_html__( 'Theme: Adventurous', 'adventurous-pro' ) . '</span></a>';
}
